package com.edgec.browserbackend.account.domain;

import com.edgec.browserbackend.account.dto.CompanyAuthorizeDto;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document(collection = "companyauthorize")
public class CompanyAuthorize {
    @Id
    private String id;
    private String username;
    private int type; //0 -- 企业, 1 -- 个体工商户
    private String companyName;
    private String registerNumber;
    private String companyLicenseFront;
    private String companyLicenseBack;

    private String coporationPlace;
    private String coporationLicenseFront;
    private String coporationLicenseBack;
    private int realController;//0 -- 法定代表人, 1 -- 非法定代表人
    private int writePerson; //0 -- 法定代表人, 1 -- 代理人

    private String agencyFront;
    private String agencyBack;

    public CompanyAuthorize() {

    }

    public CompanyAuthorize(CompanyAuthorizeDto companyAuthorizeDto) {
        if (companyAuthorizeDto.getUsername() != null)
            this.username = companyAuthorizeDto.getUsername();
        this.type = companyAuthorizeDto.getType();
        if (companyAuthorizeDto.getCompanyName() != null)
            this.companyName = companyAuthorizeDto.getCompanyName();
        if (companyAuthorizeDto.getRegisterNumber() != null)
            this.registerNumber = companyAuthorizeDto.getRegisterNumber();
        this.realController = companyAuthorizeDto.getRealController();
        this.writePerson = companyAuthorizeDto.getWritePerson();
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public int getRealController() {
        return realController;
    }


    public int getWritePerson() {
        return writePerson;
    }

    public void setCoporationPlace(String coporationPlace) {
        this.coporationPlace = coporationPlace;
    }


    public String getCoporationPlace() {
        return coporationPlace;
    }

    public void setRealController(int realController) {
        this.realController = realController;
    }

    public void setRegisterNumber(String registerNumber) {
        this.registerNumber = registerNumber;
    }

    public void setWritePerson(int writePerson) {
        this.writePerson = writePerson;
    }


    public String getRegisterNumber() {
        return registerNumber;
    }

    public String getAgencyBack() {
        return agencyBack;
    }

    public void setAgencyBack(String agencyBack) {
        this.agencyBack = agencyBack;
    }

    public String getAgencyFront() {
        return agencyFront;
    }

    public void setAgencyFront(String agencyFront) {
        this.agencyFront = agencyFront;
    }

    public String getCompanyLicenseBack() {
        return companyLicenseBack;
    }

    public void setCompanyLicenseBack(String companyLicenseBack) {
        this.companyLicenseBack = companyLicenseBack;
    }

    public String getCompanyLicenseFront() {
        return companyLicenseFront;
    }

    public void setCompanyLicenseFront(String companyLicenseFront) {
        this.companyLicenseFront = companyLicenseFront;
    }

    public String getCoporationLicenseBack() {
        return coporationLicenseBack;
    }

    public void setCoporationLicenseBack(String coporationLicenseBack) {
        this.coporationLicenseBack = coporationLicenseBack;
    }

    public String getCoporationLicenseFront() {
        return coporationLicenseFront;
    }

    public void setCoporationLicenseFront(String coporationLicenseFront) {
        this.coporationLicenseFront = coporationLicenseFront;
    }
}
