package com.edgec.browserbackend.browser.repository;

import com.edgec.browserbackend.browser.domain.LoginHistory;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

public interface LoginHistoryRepository extends MongoRepository<LoginHistory, String> {
    LoginHistory findFirstByAccount(String account);

    Page<LoginHistory> findByAdministratorAndLoginTimeGreaterThanOrderByLoginTime(String administrator, long time, Pageable pageable);

    Page<LoginHistory> findByAccountAndLoginTimeGreaterThanOrderByLoginTime(String account, long time, Pageable pageable);

    int countByAccount(String account);
}
