package com.edgec.browserbackend.browser.repository;

import com.edgec.browserbackend.browser.domain.OperationHistory;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;

public interface OperationHistoryRepository extends MongoRepository<OperationHistory, String> {
    OperationHistory findFirstByAccount(String account);

    Page<OperationHistory> findByAdministratorAndOperationTimeGreaterThanOrderByOperationTimeDesc(String administrator, long time, Pageable pageable);
    Page<OperationHistory> findByAccountAndOperationTimeGreaterThanOrderByOperationTimeDesc(String account, long time, Pageable pageable);

    int countByAccount(String account);
}
